WinShopAPI docs
ReferenceCompanies

List a company's representatives

Returns the sales representatives assigned to this company. Requires `Permissions.Companies.View`.

GET
/api/companies/{companyId}/representatives

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/companies/0/representatives' \  -H 'Authorization: Bearer <access-token>'
[  {    "address1": "string",    "address2": "string",    "city": "string",    "companyId": 0,    "country": "string",    "dateOfBirth": "2019-08-24T14:15:22Z",    "dateOfNameDay": "2019-08-24T14:15:22Z",    "email": "string",    "eshopRepresentativeId": "string",    "fax": "string",    "functionId": 0,    "id": 0,    "isInformEnabled": true,    "mobilePhone": "string",    "name": "string",    "note": "string",    "phone": "string",    "surname": "string",    "title": "string",    "zipCode": "string"  }]